The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

EasyApache 3

Discussion in 'EasyApache' started by WireNine, Jul 24, 2007.

  1. WireNine

    WireNine Well-Known Member

    Joined:
    Aug 14, 2006
    Messages:
    197
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    Root Administrator
    When installing both PHP4 + PHP5 with EasyApache3, do both versions get installed? How well does Apache2 work with PHP4 being installed from EasyApache3?
     
  2. SoftDux

    SoftDux Well-Known Member

    Joined:
    May 27, 2006
    Messages:
    983
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Johannesburg, South Africa
    cPanel Access Level:
    Root Administrator
    Where do you get easyapache3?
     
  3. rachweb

    rachweb Well-Known Member

    Joined:
    Jun 26, 2004
    Messages:
    268
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    amsterdam
    In Build EDGE
     
  4. albatroz

    albatroz Well-Known Member

    Joined:
    Mar 6, 2003
    Messages:
    258
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Virtual Orbis / Peru
    cPanel Access Level:
    Root Administrator
    I would like to read more about this. Any links you can share with us?
     
  5. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    If you select both a version of PHP 4 and PHP 5 to install, then yes both are installed with EA3. Given the amount of QA that EA3 has gone through, PHP 4 and Apache 2 should work well together. If not, drop us a support ticket so we can fix that.
     
  6. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,458
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    Right now, if you select both PHP 5 and PHP 4 via the EA3 interface, PHP 5 will load as the Apache module, while PHP 4 will be available via CGI. We are working on the necessary functions to allow the sys admin to configure that.
     
  7. Rooter

    Rooter Well-Known Member

    Joined:
    Apr 23, 2003
    Messages:
    146
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Houston, Texas, U.S.A.
    cPanel Access Level:
    Root Administrator
    It would be nice to allow both PHP versions to operate as CGI. :)
     
  8. mambovince

    mambovince Well-Known Member

    Joined:
    Jan 15, 2005
    Messages:
    192
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    London, UK
    Better still, if we could choose which to be cgi and which as an Apache module.:)

    How soon before this will be avialable for stable release?

    - Vince
     
  9. AtlantisService

    AtlantisService Active Member

    Joined:
    Mar 15, 2007
    Messages:
    33
    Likes Received:
    0
    Trophy Points:
    6
    There are those of us who would be happy to see just the current build. Stable is WAY off.
     
  10. WireNine

    WireNine Well-Known Member

    Joined:
    Aug 14, 2006
    Messages:
    197
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    Root Administrator
    We would like to run both as CGI, and the rest of the settings should be fine since php5 will be installed as default and php4 will be installed as secondary. :D
     
  11. Snowman30

    Snowman30 Well-Known Member
    PartnerNOC

    Joined:
    Apr 7, 2002
    Messages:
    681
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    Ive tried EA3 on a new server and 7 times now everything builds fine apart from php

    php -v just returns no output...am i missing somethign obvious?

    Just looking thru the build log and i notice the following errors:

    zip, pgsql and java all returned similar errors
     
    #11 Snowman30, Aug 19, 2007
    Last edited: Aug 20, 2007
  12. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    Excellent details snowman, It appears a boolean logic erro has crept in under certain circumstances.

    It must have been fairly recent because I've built PHP with both Curl and CurlSSL checked.

    I'll have this resolved ASAP and will post back here when its ready. Thanks!
     
  13. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    This should all be resolved in rev 1994 which is publishing now.

    Simply run easyapache in a few minutes and the UI shoudl have a string like this:

    Easy::Apache v3.0.1 Rev1994
     
  14. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    rev 1994 is done publishing
     
Loading...

Share This Page